%define rel 1

Name:           kf5-rpm-macros
Version: 5.114.0
Release:        %mkrel %{rel}
Summary:        Base install macros for KF 5
Group:          Development/KDE and Qt
License:        GPLv2
URL:            https://www.mageia.org
Source:         macros.kf5
BuildArch:      noarch
Obsoletes:      kf5-macros < 5.92.0-2
Provides:       kf5-macros = %{version}-%{release}
Requires:       cmake
Requires:       mageia-release
Requires:       extra-cmake-modules >= %version

# Needed to build HTML docs
Requires:       libxml2-utils
Requires:       docbook-dtds
Requires:       docbook-style-xsl

%description
Base install macros for KF 5.

%files
%{_rpmmacrodir}/macros.kf5

%install
install -d -m 755 %{buildroot}%{_rpmmacrodir}
install -p -m 644 %SOURCE0 %{buildroot}%{_rpmmacrodir}/macros.kf5

sed -e 's,VERSION,%{version},g' -i  %{buildroot}%{_rpmmacrodir}/macros.kf5


%changelog
* Thu Feb 08 2024 neoclust <neoclust> 5.114.0-1.mga9
+ Revision: 2039503
- New version 5.114.0

* Tue Apr 18 2023 daviddavid <daviddavid> 5.105.0-2.mga9
+ Revision: 1953546
- set explicitly 'EGPF_LIB_INSTALL_DIR=%%{_lib}' to fix libdir path in pkgconfig
  file because our 'LIB_INSTALL_DIR' cmake macro default to %%{_libdir}
- remove duplicate settings with main cmake macros

* Mon Apr 10 2023 neoclust <neoclust> 5.105.0-1.mga9
+ Revision: 1952005
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 5.104.0-1.mga9
+ Revision: 1947814
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 5.103.0-1.mga9
+ Revision: 1941315
- New version 5.103.0

* Mon Jan 23 2023 daviddavid <daviddavid> 5.102.0-1.mga9
+ Revision: 1935133
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 5.101.0-1.mga9
+ Revision: 1922212
- New version 5.101.0

* Sun Nov 27 2022 daviddavid <daviddavid> 5.100.0-1.mga9
+ Revision: 1911718
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 5.99.0-1.mga9
+ Revision: 1900373
- New version 5.99

* Wed Sep 14 2022 neoclust <neoclust> 5.98.0-1.mga9
+ Revision: 1888056
- New version 5.98.0

* Mon Aug 29 2022 neoclust <neoclust> 5.97.0-1.mga9
+ Revision: 1881808
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-1.mga9
+ Revision: 1871763
- New version 5.96

* Mon Apr 25 2022 neoclust <neoclust> 5.93.0-1.mga9
+ Revision: 1853324
- New version 5.93.0

* Wed Apr 13 2022 wally <wally> 5.92.0-2.mga9
+ Revision: 1849285
- new version 5.92.0
- bump rel to be higher than obsolete kf5-macros rel

* Mon Mar 21 2022 umeabot <umeabot> 5.88.0-3.mga9
+ Revision: 1815601
- Mageia 9 Mass Rebuild

* Sun Nov 21 2021 wally <wally> 5.88.0-2.mga9
+ Revision: 1758142
- rename as kf5-rpm-macros

* Mon Nov 08 2021 neoclust <neoclust> 5.88.0-1.mga9
+ Revision: 1754799
- New version 5.88.0

* Sun Oct 10 2021 wally <wally> 5.87.0-2.mga9
+ Revision: 1750500
- move rpm macros to %%_rpmmacrodir

* Sun Oct 03 2021 neoclust <neoclust> 5.87.0-1.mga9
+ Revision: 1749050
- New version 5.87.0

* Fri Oct 01 2021 neoclust <neoclust> 5.86.0-1.mga9
+ Revision: 1747006
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 5.84.0-1.mga9
+ Revision: 1735232
- New version 5.84.0
- New version 5.83.0

* Sat May 15 2021 daviddavid <daviddavid> 5.82.0-1.mga9
+ Revision: 1723423
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 5.81.0-1.mga9
+ Revision: 1714819
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 5.80.0-1.mga9
+ Revision: 1701997
- New version 5.80.0

* Thu Feb 25 2021 neoclust <neoclust> 5.79.0-1.mga9
+ Revision: 1691088
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653302
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633156
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625570
- New version 5.74.0

* Sun Aug 09 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612287
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603061
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1592755
- New version 5.71.0

* Sun May 10 2020 daviddavid <daviddavid> 5.70.0-2.mga8
+ Revision: 1582605
- time to move metainfo files in their respective path

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1581981
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566472
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1556648
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.0-3.mga8
+ Revision: 1546625
- Mageia 8 Mass Rebuild

* Mon Feb 17 2020 daviddavid <daviddavid> 5.67.0-2.mga8
+ Revision: 1536933
- fix QTDIR path since Qt5 prefix change

* Tue Feb 04 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1486786
- New version 5.67.0

* Fri Dec 13 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1466196
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457581
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1450962
- New version 5.63.0

* Thu Sep 12 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1439989
- New version 5.62.0

* Thu Jul 25 2019 daviddavid <daviddavid> 5.60.0-3.mga8
+ Revision: 1424001
- fix %%_kf5_qmldir path

* Mon Jul 22 2019 daviddavid <daviddavid> 5.60.0-2.mga8
+ Revision: 1423420
- add %%_kf5_kxmlguidir macro
- add %%_kf5_categoriesdir macro

* Thu Jul 11 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420039
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1386905
- New version 5.57.0

* Tue Mar 12 2019 neoclust <neoclust> 5.56.0-1.mga7
+ Revision: 1374532
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364507
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356630
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1339186
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1318933
- New version 5.51.0
- New version 5.50.0

* Thu Sep 20 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1279185
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1247283
- New version 5.49.0

* Mon May 14 2018 neoclust <neoclust> 5.46.0-1.mga7
+ Revision: 1229221
- New version 5.46.0

* Thu Jan 11 2018 neoclust <neoclust> 5.42.0-1.mga7
+ Revision: 1192253
- New version 5.42.0

* Tue Dec 12 2017 neoclust <neoclust> 5.41.0-1.mga7
+ Revision: 1182303
- New version 5.41.0

* Thu Sep 28 2017 neoclust <neoclust> 5.38.0-1.mga7
+ Revision: 1161209
- New version 5.38.0

* Tue Aug 15 2017 neoclust <neoclust> 5.37.0-1.mga7
+ Revision: 1140371
- New version 5.37.0

* Sun Jul 16 2017 neoclust <neoclust> 5.36.0-1.mga7
+ Revision: 1123472
- New version 5.36.0

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-2.mga6
+ Revision: 1089153
- Rebuild for testing

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088935
- New version 5.32.0

* Fri Feb 10 2017 neoclust <neoclust> 5.29.0-2.mga6
+ Revision: 1085501
- Remove unexisting macros

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074506
- New version 5.29.0

* Fri Dec 09 2016 neoclust <neoclust> 5.28.0-3.mga6
+ Revision: 1073715
- Add some cmake instruction ( needed by okular)

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-2.mga6
+ Revision: 1072167
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-2.mga6
+ Revision: 1058326
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-2.mga6
+ Revision: 1050503
- New version 5.26.0

* Mon Aug 22 2016 neoclust <neoclust> 5.25.0-2.mga6
+ Revision: 1047787
- Introduce new %%_kf5_metainfodir macro

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045081
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041417
- New version 5.24.0

* Sat Jun 18 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1022044
- New version 5.23

* Fri May 13 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014566
- New version 5.22.0

* Mon Apr 11 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 1000540
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986384
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942303
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921335
- New version 5.18.0

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909921
- New version 5.17.0

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-1.mga6
+ Revision: 898972
- New version 5.16.0

* Sun Nov 01 2015 neoclust <neoclust> 5.15.0-2.mga6
+ Revision: 897255
- Fix typo in descrition

* Sun Nov 01 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 897250
- New version 5.15.0

* Wed Aug 12 2015 neoclust <neoclust> 5.13.0-2.mga6
+ Revision: 863498
- Do not use absolute path for dbus path

* Wed Aug 12 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 863355
- New version 5.13.0
  Introduce new macros: %%kf5_version

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-4.mga6
+ Revision: 862563
- Remove buildtype macro

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-3.mga6
+ Revision: 862524
- Fix cmake command, fix plugin install dir

* Fri Jul 31 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 859322
- Add as require deps needed to build HTML docs

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853888
- New version

* Tue Dec 16 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803477
- Update requires for 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.0.0-15.mga5
+ Revision: 739864
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.0-14.mga5
+ Revision: 681051
- Mageia 5 Mass Rebuild

* Sun Jul 27 2014 neoclust <neoclust> 5.0.0-13.mga5
+ Revision: 657555
- Add new macro %%_kf5_appdatadir

* Mon Jul 21 2014 neoclust <neoclust> 5.0.0-11.mga5
+ Revision: 654899
- Clean cmake command

* Sun Jul 20 2014 neoclust <neoclust> 5.0.0-10.mga5
+ Revision: 654830
- Try to fix dbus define
- Fix notification macro name
- Add a new macro for knotifications

* Sun Jul 20 2014 neoclust <neoclust> 5.0.0-7.mga5
+ Revision: 654040
- Revet datadir change this was not a good idea

* Thu Jul 17 2014 neoclust <neoclust> 5.0.0-6.mga5
+ Revision: 653481
- Add %%_kf5_applicationdir macro

* Thu Jul 17 2014 neoclust <neoclust> 5.0.0-5.mga5
+ Revision: 653457
- Add new macro

* Tue Jul 15 2014 neoclust <neoclust> 5.0.0-4.mga5
+ Revision: 653109
- Adapt to new datadir

* Tue Jul 15 2014 neoclust <neoclust> 5.0.0-3.mga5
+ Revision: 652268
- Adapt macros to new kf5

* Sun Jul 13 2014 neoclust <neoclust> 5.0.0-2.mga5
+ Revision: 651650
- Add %%_kf5_libexecdir macro

* Sun Jul 13 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 651645
- Fix Build options

* Wed Jul 02 2014 neoclust <neoclust> 4.100.0-2.mga5
+ Revision: 642247
- Try a better fix for includes

* Wed Jul 02 2014 neoclust <neoclust> 4.100.0-1.mga5
+ Revision: 642242
- Adapt includedir

* Tue Feb 25 2014 neoclust <neoclust> 4.96.0-4.mga5
+ Revision: 597159
- Revert previous DBUS change

* Fri Feb 21 2014 neoclust <neoclust> 4.96.0-3.mga5
+ Revision: 595227
- Fix dbus macro

* Wed Feb 19 2014 neoclust <neoclust> 4.96.0-2.mga5
+ Revision: 594566
- Fix services folders

* Tue Feb 18 2014 neoclust <neoclust> 4.95.0-19.mga5
+ Revision: 594283
- Fix SYSCONF_INSTALL_DIR

* Tue Feb 11 2014 neoclust <neoclust> 4.95.0-18.mga5
+ Revision: 589502
- Fix macro for plugin dir

* Mon Feb 10 2014 neoclust <neoclust> 4.95.0-17.mga5
+ Revision: 589144
- Try to fix macro

* Mon Feb 10 2014 neoclust <neoclust> 4.95.0-16.mga5
+ Revision: 589133
- Try to fix macro

* Mon Feb 10 2014 neoclust <neoclust> 4.95.0-15.mga5
+ Revision: 589129
- Revert file move

* Mon Feb 10 2014 neoclust <neoclust> 4.95.0-14.mga5
+ Revision: 588929
- Add more macros
  Rename macro file

* Sun Feb 09 2014 neoclust <neoclust> 4.95.0-13.mga5
+ Revision: 587732
- Fix typo in EXEC_INSTALL_PREFIX

* Sun Feb 09 2014 neoclust <neoclust> 4.95.0-12.mga5
+ Revision: 587728
- More macros fixes

* Sun Feb 09 2014 neoclust <neoclust> 4.95.0-11.mga5
+ Revision: 587620
- Add more macros

* Sun Feb 09 2014 neoclust <neoclust> 4.95.0-10.mga5
+ Revision: 587225
- Fix typo in macros

* Sun Feb 09 2014 neoclust <neoclust> 4.95.0-9.mga5
+ Revision: 587221
- Fix mkspecs location

* Wed Feb 05 2014 neoclust <neoclust> 4.95.0-8.mga5
+ Revision: 583185
- Revert the revert, default is ${LIB_INSTALL_DIR}/plugins/kf5

* Wed Feb 05 2014 neoclust <neoclust> 4.95.0-7.mga5
+ Revision: 583179
- Revert previous change in pluginsdir

* Tue Feb 04 2014 neoclust <neoclust> 4.95.0-6.mga5
+ Revision: 582707
- Fix plugin dir macro

* Tue Feb 04 2014 neoclust <neoclust> 4.95.0-5.mga5
+ Revision: 582568
- Workaround macro issue

* Tue Feb 04 2014 neoclust <neoclust> 4.95.0-4.mga5
+ Revision: 582233
- Fix include dir

* Tue Feb 04 2014 neoclust <neoclust> 4.95.0-3.mga5
+ Revision: 582167
- Use upstream DSHARE_INSTALL_PREFIX

* Tue Feb 04 2014 neoclust <neoclust> 4.95.0-2.mga5
+ Revision: 580579
- Add requires on extra-cmake-modules

* Wed Jan 22 2014 neoclust <neoclust> 4.95.0-1.mga5
+ Revision: 567464
- imported package kf5-macros

